package com.zehong.system.domain.track;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 配件对象 t_product_store
 * 
 * @author zehong
 * @date 2024-08-22
 */
public class TProductStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 配件名称 */
    @Excel(name = "配件名称")
    private String title;

    /** 配件编号 */
    @Excel(name = "配件编号")
    private String planNo;

    /** 规格参数 */
    @Excel(name = "规格参数")
    private String specs;

    /** 库存数量 */
    @Excel(name = "库存数量")
    private Long total;

    /** 配件描述 */
    @Excel(name = "配件描述")
    private String content;

    /** 供货商 */
    @Excel(name = "供货商")
    private String supplier;

    /** 联系人 */
    @Excel(name = "联系人")
    private String username;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String tel;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** $column.columnComment */
    private Long createId;

    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setPlanNo(String planNo) 
    {
        this.planNo = planNo;
    }

    public String getPlanNo() 
    {
        return planNo;
    }
    public void setSpecs(String specs) 
    {
        this.specs = specs;
    }

    public String getSpecs() 
    {
        return specs;
    }
    public void setTotal(Long total) 
    {
        this.total = total;
    }

    public Long getTotal() 
    {
        return total;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setSupplier(String supplier) 
    {
        this.supplier = supplier;
    }

    public String getSupplier() 
    {
        return supplier;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("planNo", getPlanNo())
            .append("specs", getSpecs())
            .append("total", getTotal())
            .append("content", getContent())
            .append("supplier", getSupplier())
            .append("username", getUsername())
            .append("tel", getTel())
            .append("address", getAddress())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .toString();
    }
}
